Update a payment status

This request updates the status of a payment made on a line of credit account.

   Click here to learn more about this request

Once a payment is logged on a line of credit account, its status in LoanPro can be updated to reflect its real-world processing status. Note the following when using this request:

This request is only necessary for users who are processing and handling payments outside of LoanPro and Secure Payments. Payments that are processed by Secure Payments are automatically updated within LoanPro as their status changes.

This request potentially affects the balance of the line of credit account. The status of a payment determines whether it is considered when calculating account balances. Payments that have one of the following statuses will be considered in account calculations:

Active

Pending

Settled

Updating a payment's status will create a new payment record. The new record is associated to the original record, and the original record is deactivated. Additionally, a deactivated payment record is removed from view on the account's ledger. However, deactivated records can be retrieved by sending a GET request to the following endpoint with the provided query parameters:

/odata.svc/LineOfCreditPayments?$filter=active eq 0
/odata.svc/LineOfCreditPayments?$filter=entityId eq {{line-of-credit-id}} and active eq 1

Database

For information regarding Line of Credit and Payment database tables, see the following articles:

Database – Line of Credit Payments (line_of_credit_payment_entity)

Database – Line of Credit Payment Type (line_of_credit_payment_type_entity)

Database – Line of Credit Account (line_of_credit_entity)

{
    "status": "lineOfCredit.transactionStatus.settled"
}
Path Params
int32
required

The ID of the payment.

Body Params
string
enum
required

The status of the payment.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json